#!/usr/bin/perl
#
# Extract data for plotting from debug output
#

open(EPIDEMIC, "> epidemic_growth.txt") 
    or die "Couldn't open output file epidemic_growth.txt: $!\n";
open(INFECTIONS, "> infections.txt")
    or die "Couldn't open output file infections.txt: $!\n";

while (<>) {
    if (/infected/) {
	my ($t) = /t: ((\d|\.)+)/;
	print INFECTIONS "$t\n";
    } else {
	if (/Worm protocol session update/) {
	    my ($t, undef, $i) = /t: ((\d|\.)+)\s.*?i=((\d|\.)+)/;
	    print EPIDEMIC "$t  $i\n";
	}
    }
}
