#
# example gnuplot file, shows global worm infection and infections on 
# local network
#

set terminal png color
set output "test.png"
#set terminal postscript eps color
#set output "test.eps"
set xlabel "time [hours]"
set ylabel "number of infected hosts (globally)"

plot "epidemic_growth.txt" using ($1/3600):($2) title "infected hosts" with lines, "infections.txt" using ($1/3600):0 title "infections in local network" with points lt 3

